「Vla-put-lastheight」の版間の差分
(ページの作成:「{{AutoLISP}} ; 構文 : (vla-put- ''vla-object'' ''height '' ) ; 機能 : 最後に使用された文字高さを指定する。 ; 引数 :* vla-object … TextStyle...」) |
細編集の要約なし |
||
1行目: | 1行目: | ||
{{AutoLISP}} | {{AutoLISP}} | ||
; 構文 | ; 構文 | ||
: (vla-put- ''vla-object'' ''height '' ) | : (vla-put-lastheight ''vla-object'' ''height '' ) | ||
2016年1月28日 (木) 16:08時点における最新版
- 構文
- (vla-put-lastheight vla-object height )
- 機能
- 最後に使用された文字高さを指定する。
- 引数
-
- vla-object … TextStyle の VLAオブジェクト
- height … 文字スタイルで最後に使用された文字高さ。
- 戻り値
- nil
- サンプル
(vl-load-com) (defun c:Example_LastHeight() ;; LastHeight の現在の値を変更するサンプル。 (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) (setq txtStyleObj (vla-get-ActiveTextStyle doc)) ;; LastHeight プロパティを取得 ;; Retrieve current LastHeight property (setq currHeight (vla-get-LastHeight txtStyleObj)) (alert (strcat "LastHeight プロパティ値は " (rtos currHeight 2))) ;; LastHeight プロパティを変更 (vla-put-LastHeight txtStyleObj 4) ;; LastHeight プロパティを取得 (setq newHeight (vla-get-LastHeight txtStyleObj)) (alert (strcat "新しいLastHeight プロパティ値は " (rtos newHeight 2))) ;; 戻す (vla-put-LastHeight txtStyleObj currHeight) (alert (strcat "LastHeight プロパティ値を次にの戻します " (rtos currHeight 2))) )
関連事項